Support » Plugin: PDF Embedder » PDF Embedder Premium: Uncaught EvalError: Refused to evaluate

  • Resolved V.E.L

    (@vezraimanuel)


    Hello again,

    I’m PDF Embedder Premium user and I’m STILL having this problem after updating to 4.X (Previous version 4.0 was FINE). Please kindly fix this, thank you.

    Uncaught EvalError: Refused to evaluate a string as JavaScript because 'unsafe-eval' is not an allowed source of script in the following Content Security Policy directive: "script-src 'strict-dynamic' 'nonce-wDsHW01Hm4xw9mkTUoFEC7Cab43neh3z'".

    The page I need help with: [log in to see the link]

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Support WP-PDF Support

    (@wppdfsupport)

    Hi @vezraimanuel,

    I’m not able to reproduce this error on any of my test sites and upon further investigation this is an issue related to the headers set in your site. The error you’re seeing is related to the Content Security Policy that’s set in the headers and would need to be adjusted there.

    V.E.L

    (@vezraimanuel)

    Hello,

    Yes it’s related to CSPv3, and our CSP policy never changed. When I use plugin version 4.0 it’s all fine, after upgrading to 4.X+, the error starting to show up and I got empty embeds on my pages… I can give you login to my site if you want to do some testing… I can setup version 4.0 as initial plugin so you can see that everything works, then you can try upgrading to new version and see the error.

    thanks

    • This reply was modified 5 months ago by V.E.L.
    Plugin Support WP-PDF Support

    (@wppdfsupport)

    Hi @vezraimanuel,

    Could you send the site credentials to contact@wp-pdf.com so I can forward those to the developer for investigation.

    Thanks!
    Emma

    V.E.L

    (@vezraimanuel)

    Hello,

    Credential sent to your email, WP-PDF is licensed on the site, using version 4.0 at the moment… you can see that PDF is well displayed.

    try upgrading the plugin to current version, and it will no longer work (CSPv3 related)

    thanks

    Plugin Support WP-PDF Support

    (@wppdfsupport)

    Hi @vezraimanuel,

    Credentials received, thank you. I will forward them to the developer for investigation.

    Emma

    V.E.L

    (@vezraimanuel)

    Alright thank you, looking forward for fixes…

Viewing 6 replies - 1 through 6 (of 6 total)
  • You must be logged in to reply to this topic.